Subject: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Dmitry Gutov <[email-masked]>
Date: Tue, 3 Mar 2020 13:27:18 +0200

On 03.03.2020 0:57, Juri Linkov wrote:
>>> Given all the discussed constraints (no change in default behavior of
>>> `C-x v d' is allowed, etc.), I see one way to close this bug report -
>>> to add a customizable variable:
>>
>> Why not a new command, like I suggested before? Either way the user would
>> have to customize something (a keybinding, in that case).
> 
> You can implement a new command in addition to defcustom.
> These options are not mutually exclusive.

Sure.

> And the command even could use the new defcustom
> in the implementation, e.g.
> 
> (defun vc-root-dir ()
>    (interactive)
>    (let ((vc-dir-default-directory t))
>      (call-interactively 'vc-dir) ...
> 
> But the command has more unsolved issues:
> 
> 1. command name - the most natural name would be vc-root-dir,
>     but this name is already taken by a non-interactive function.

vc-dir-quick was my idea.

> 2. keybinding - there are many contradicting proposals,
>     and leaving it unbound is not the best solution.

Like mentioned already, I think it's fine unbound. Not worse than having 
a user option. It comes down to the user either customizing the option, 
or binding the command to 'C-x v d' in their init script. We shouldn't 
provide both in the core, though.

>>> +(defcustom vc-dir-default-directory nil
>>> +  "Default directory name for the command `vc-dir'.
>>
>> Both of these lines look wrong.
>>
>> VC-Dir already uses the correct directory as the default. What you're
>> looking for is to avoid prompting the user.
> 
> These details are explained further down in the docstring:

I'm saying both the option name and the first sentence of the docstring 
don't fit its purpose, or the later description.